#include <stdio.h>
#define MAX 20000
main()
{
    int N,K,niz[MAX],broj;
    scanf("%d %d",&N,&K);
    for(int i=0;i<N;i++)
    {
        scanf("%d",&niz[i]);
    }
    for(int j=0;j<N;j++)
    {
        if(niz[j]==K)
        {
            if(j==N-1)
            broj=niz[0];
            else
            broj=niz[j+1];
        }
    }
    printf("%d",broj);
}